import { RequestListenerParams } from "../../../lib/http/data-fetcher/DataFetcher";
import { ILoadBarRequestListener } from "./RequestListenerFactory";
declare class DebouncedRequestListener implements ILoadBarRequestListener {
  ezLoadingBar: HTMLEzLoadingBarElement;
  private readonly _debounceTime;
  private requests;
  private requestsLoadingBar;
  onRequestStart(param: RequestListenerParams): void;
  onRequestEnd(param: RequestListenerParams): void;
}
export default DebouncedRequestListener;
